%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api		2.0
%define major		3
%define girmajor	2.0
%define libname		%mklibname %{name} %{api} %{major}
%define girname		%mklibname %{name}-gir %{girmajor}
%define devname		%mklibname -d %{name}

Name:           gupnp-dlna
Version:        0.10.4
Release:        %mkrel 1
Summary:        A collection of helpers for building UPnP dlna applications
Group:		    System/Libraries
License:        LGPLv2+
URL:            http://www.gupnp.org/
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: gtk-doc
BuildRequires: vala-tools
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}xml2-devel

%description
GUPnP is an object-oriented open source framework for creating UPnP devices and
control points, written in C using GObject and libsoup. The GUPnP API is
intended to be easy to use, efficient and flexible.

GUPnP DLNA is a small utility library that aims to ease the
DLNA-related tasks such as media profile guessing, transcoding to
a given profile, etc.

%package -n %{libname}
Summary:	A collection of helpers for building UPnP DLNA applications
Group:		System/Libraries

%description -n %{libname}
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP DLNA is a small utility library that aims to ease the
DLNA-related tasks such as media profile guessing, transcoding to
a given profile, etc.

%package -n %{devname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Files for development with %{name}.

%package doc
Summary:        Docs for %name
Group:          Documentation
BuildArch: noarch

%description doc
Doc files for %name.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/%{name}-*
%{_datadir}/%{name}-%{api}

%files -n %{libname}
%{_libdir}/%{name}/libgstreamer.so
%{_libdir}/lib%{name}-%{api}.so.%{major}*
%{_libdir}/lib%{name}-gst-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/GUPnPDLNA-%{girmajor}.typelib
%{_libdir}/girepository-1.0/GUPnPDLNAGst-%{girmajor}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}
%doc %{_datadir}/gtk-doc/html/%{name}-metadata
%doc %{_datadir}/gtk-doc/html/%{name}-gst
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-gst-%{api}.pc
%{_libdir}/pkgconfig/%{name}-metadata-2.0.pc
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/lib%{name}-gst-%{api}.so
%{_datadir}/vala/vapi/*
%{_datadir}/gir-1.0/GUPnPDLNA-%{girmajor}.gir
%{_datadir}/gir-1.0/GUPnPDLNAGst-%{girmajor}.gir

%files doc
%doc AUTHORS COPYING README

%changelog
* Fri May 27 2016 bb <bb> 0.10.4-1pclos2016
- update

